Treuesterne für das WSC 5.3.0

Guten Abend Gast. Schön dass Du mal hereinschaust! Einen angenehmen Aufenthalt wünscht das "MY-WSC.de"-Team.
Lizenzbestimmungen
Unsere Lizenzbestimmungen
Website
https://www.my-wsc.de/forum/board/62-plugins-von-norse/
Unterstützte Versionen

Für die Traditionalisten unter uns, die auch im hypermodernen WSC nicht auf liebgewonnene Dinge verzichten möchten, gibt es hier nun auch die Treuesterne in einer im WSC lauffähigen Version.

Das Paket stellt in Abhängigkeit von konfigurierbaren Kriterien bis zu 8 sogenannte Treuesterne im Benutzerprofil, in der Profilvorschau, in der Mitgliederliste und in der Beitragsseitenleiste dar.


Es gibt folgende Konfigurationsmöglichkeiten:


  • Aktivierung/Deaktivierung der Anzeige
  • Auswahl zwischen 8 verschiedenen Grafiken und neu zwei FA-Icons
  • Mindestanzahl von Aktivitätspunkten für die Anzeige der Sterne
  • Höchstzulässige Abwesenheit für die Anzeige der Sterne
  • Intervall für die Vergabe eines Sterns
  • Auswahl der Anzeigeorte




Zusätzlich gibt es ein Gruppenrecht unter "Allgemeine Rechte - Benutzerprofile" für die Anzeige der Treuesterne.


Ab dieser Version enthält das Paket ein im Footer sichtbares Copyright. Ein Branding-free-Paket ist im Shop erhältlich.

  • Version 5.3.0

    Unterstützte Versionen: Woltlab WSC 3.0 / WSF 5.0, Woltlab WSC 3.1 / WSF 5.1, Woltlab WSC 5.2 / WSF 5.2, Woltlab WSC 5.3 / WSF 5.3

    Kompatibilität mit WSC 5.3 hergestellt.

  • Version 3.0.2

    Unterstützte Versionen: Woltlab WSC 3.0 / WSF 5.0, Woltlab WSC 3.1 / WSF 5.1, Woltlab WSC 5.2 / WSF 5.2

    Funktionsupdate:

    • Unterstützung der beiden in Font Awesome 4.7 verfügbaren Stern-Icons (siehe auch Einbau der FA-Icons:)


    Die zusätzlichen Icons sind bei Auslieferung in der Farbe gold gestaltet und können bei Bedarf mit folgendem CSS:


    CSS
    .loyaltystars span {
    color: #xxx;
    }


    nach Belieben den Vorstellungen des Betreibers angepasst werden.

  • Version 3.0.1 pl 1

    Unterstützte Versionen: Woltlab WSC 3.0 / WSF 5.0, Woltlab WSC 3.1 / WSF 5.1, Woltlab WSC 5.2 / WSF 5.2

    Fehlende Instruktion in den Updateanweisungen ergänzt

  • Version 3.0.1

    Unterstützte Versionen: Woltlab WSC 3.0 / WSF 5.0, Woltlab WSC 3.1 / WSF 5.1, Woltlab WSC 5.2 / WSF 5.2

    Fehlerbehebung:

    • Aktivierung/Deaktivierung funktioniert jetzt


    Weitere Änderung:

    • Austausch einiger Grafiken aus lizenzrechtlichen Gründen
  • Version 3.0.0

    Unterstützte Versionen: Woltlab WSC 3.0 / WSF 5.0, Woltlab WSC 3.1 / WSF 5.1, Woltlab WSC 5.2 / WSF 5.2
  • 5.3 geplant?

    • 5.3 ist eigentlich für alle Pakete geplant. Ich muss wohl ein wenig die Hacken in den Teer hauen, wenn ich mir das hier so anschaue. Immer dieser Stress....

    • Ich hoffe das mit dem Stress war nicht auf mich bezogen, weil ich gefragt habe :/
      Wollte keinen Stress machen.

    • Nö, ich weiß nur nicht, warum es plötzlich bei WL so schnell geht.

    • Das verstehe ich auch nicht